## org.eclipse.emf.codegen.jet
Class JETEmitter.MyJETCompiler

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETCompiler
          org.eclipse.emf.codegen.jet.JETEmitter.MyBaseJETCompiler
              org.eclipse.emf.codegen.jet.JETEmitter.MyJETCompiler

All Implemented Interfaces:
  JETParseEventListener

Enclosing class:
  JETEmitter

    protected class JETEmitter.MyJETCompiler

extends JETEmitter.MyBaseJETCompiler

Field Summary

Fields inherited from class org.eclipse.emf.codegen.jet.JETEmitter.MyBaseJETCompiler
`classLoader`

Fields inherited from class org.eclipse.emf.codegen.jet.JETCompiler
`CONSTANT_PREFIX, constantCount, constantDictionary, constants, fNoNewLineForScriptlets, fSavedLine, fUseStaticFinalConstants, generators, NULL_CHAR_ARRAY, parser, reader, sectionDepth, skeleton, skipping, skipSections, templateURI, templateURIPath, writer`

Constructor Summary
`JETEmitter.MyJETCompiler(java.lang.String templateURI)`
`JETEmitter.MyJETCompiler(java.lang.String[] templateURIPath, java.lang.String relativeTemplateURI)`
`JETEmitter.MyJETCompiler(java.lang.String[] templateURIPath, java.lang.String relativeTemplateURI, java.lang.String encoding)`
`JETEmitter.MyJETCompiler(java.lang.String templateURI, java.lang.String encoding)`

Method Summary

Methods inherited from class org.eclipse.emf.codegen.jet.JETEmitter.MyBaseJETCompiler
`handleNewSkeleton`

Methods inherited from class org.eclipse.emf.codegen.jet.JETCompiler
`addCharDataGenerator, addGenerator, beginPageProcessing, doAddCharDataGenerator, endPageProcessing, find, findLocation, generate, generate, getResolvedTemplateURI, getSkeleton, handleCharData, handleDirective, handleExpression, handleScriptlet, openStream, parse, parse, resolveLocation, resolveLocation, stripFirstNewLineWithBlanks, stripLastNewLineWithBlanks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JETEmitter.MyJETCompiler

    public JETEmitter.MyJETCompiler(java.lang.String templateURI)
                             throws JETException

Throws:
  `JETException`

### JETEmitter.MyJETCompiler

    public JETEmitter.MyJETCompiler(java.lang.String templateURI,
                                    java.lang.String encoding)
                             throws JETException

Throws:
  `JETException`

### JETEmitter.MyJETCompiler

    public JETEmitter.MyJETCompiler(java.lang.String[] templateURIPath,
                                    java.lang.String relativeTemplateURI)
                             throws JETException

Throws:
  `JETException`

### JETEmitter.MyJETCompiler

    public JETEmitter.MyJETCompiler(java.lang.String[] templateURIPath,
                                    java.lang.String relativeTemplateURI,
                                    java.lang.String encoding)
                             throws JETException

Throws:
  `JETException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.